# $Revision: 1.17 $, $Date: 2006/04/20 10:42:05 $
Summary:	Shell script for setting up HTB
Summary(pl):	Skrypt umoliwiajcy prost konfiguracj HTB
Name:		htb.init
Version:	0.8.5
Release:	3
License:	GPL
Group:		Networking/Utilities
Source0:	http://dl.sourceforge.net/htbinit/%{name}-v%{version}
# NoSource0-md5:	1713d9a4941120235cb0721ceba6493b
Source1:	http://dl.sourceforge.net/htbinit/htb-lartc.tar.gz
# Source1-md5:	1a6e6515abfe2a48744b36b7ff9af94d
Patch0:		%{name}-lsb.patch
Patch1:		%{name}-find.patch
URL:		http://www.sourceforge.net/projects/htbinit/
Requires(post,preun):	/sbin/chkconfig
Requires:	iproute2
Requires:	rc-scripts
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
HTB.init is a shell script derived from CBQ.init that allows for easy
setup of HTB-based traffic control on Linux. HTB (Hierachical Token
Bucket) is a new queueing discipline which attempts to address the
weaknesses of current CBQ implementation.

%description -l pl
HTB.init jest prostym skryptem umoliwiajcym atw konfiguracj
kontroli ruchu HTB w Linuksie 2.4 i 2.6. HTB (Hierarchical Token
Bucket) to nowy algorytm kolejkowania prbujcy wyeliminowa saboci
aktualnej implementacji CBQ.

%prep
%setup -q -T -c -a1
install %{SOURCE0} .
%patch0 -p0
%patch1 -p0

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_initrddir},/etc/sysconfig/htb}

install %{name}-v%{version} $RPM_BUILD_ROOT%{_initrddir}/htb

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add htb

%preun
if [ "$1" = "0" ]; then
	/sbin/chkconfig --del htb
fi

%files
%defattr(644,root,root,755)
%doc e*
%attr(754,root,root) %{_initrddir}/htb
%dir /etc/sysconfig/htb

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: htb.init.spec,v $
Revision 1.17  2006/04/20 10:42:05  paszczus
- added Patch1: htb.init-find.patch (fixes find warnings)
- backing to dl.sf.net

Revision 1.16  2006/04/20 09:19:52  glen
- need original name for %patch0

Revision 1.15  2006/04/20 09:18:02  glen
- adapter, eliminate dead code

Revision 1.14  2006/04/20 09:14:27  paszczus
- moved Source0 to CVS (with fixed find warning)
- release 3

Revision 1.13  2004/11/08 14:03:44  ankry
- typo

Revision 1.12  2004/08/31 14:44:50  snurf
- typos / formatting / etc.

Revision 1.11  2004/06/10 08:12:18  paszczus
- fixed uninstall
- small cleanups
- release 2, STBR

Revision 1.10  2004/06/09 16:35:10  domelu
- added dir /etc/sysconfig/htb

Revision 1.9  2004/06/09 12:28:21  paszczus
- fixed build

Revision 1.8  2004/06/09 05:18:19  ankry
- lsb compliance patch

Revision 1.7  2004/06/08 19:44:48  paszczus
- changed htb.init to htb in initrddir

Revision 1.6  2004/05/29 22:55:28  arekm
- fixed build

Revision 1.5  2004/05/29 13:18:21  domelu
- remove dir /var/cache/htb.init

Revision 1.4  2004/05/29 12:52:13  domelu
- added examples
- %{_initrddir}
- added /var/cache/htb.init

Revision 1.3  2004/05/22 19:34:13  paszczus
- added TODO

Revision 1.2  2004/05/22 18:57:28  qboosh
- longer pl desc, build fix

Revision 1.1  2004/05/22 18:44:41  paszczus
- init version based on cbq.init
